Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.deployment.jboss
Class PortletAppDeploymentFactory

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
          org.jboss.portal.portlet.deployment.jboss.PortletAppDeploymentFactory
              org.jboss.portal.core.deployment.jboss.PortletAppDeploymentFactory

All Implemented Interfaces:
  URLFilter, DeploymentFactory

    public class PortletAppDeploymentFactory

extends PortletAppDeploymentFactory

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected boolean` | `createInstances` .
`protected InstanceContainer` | `instanceContainer` .
`protected org.xml.sax.EntityResolver` | `portalObjectEntityResolver` .
`protected org.xml.sax.EntityResolver` | `portletInstancesEntityResolver` .

Fields inherited from class org.jboss.portal.portlet.deployment.jboss.PortletAppDeploymentFactory
`config, jbossPortletEntityResolver, portletAPIFactory, portletAPIFactoryClassName, portletApplicationRegistry, portletInfoFactory, portletInfoFactoryClassName, portletSecurityService, standardJBossApplicationMetaData, standardJBossApplicationMetaDataLocation, urlPattern`

Fields inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`deployer, log, name, registrationControlledByService, setupLocation, setupURL`

Constructor Summary
`PortletAppDeploymentFactory()`

Method Summary
`JBossApplicationMetaDataFactory` | `createJBossApplicationMetaDataFactory()` Return a subclass that does more.
`void` | `disableCreateInstances()`
`void` | `enableCreateInstances()`
`boolean` | `getCreateInstances()`
`InstanceContainer` | `getInstanceContainer()`
`org.xml.sax.EntityResolver` | `getPortalObjectEntityResolver()`
`org.xml.sax.EntityResolver` | `getPortletInstancesEntityResolver()`
`Deployment` | `newInstance(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer)` Create a new instance of the deployment.
`void` | `setCreateInstances(boolean createInstances)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setPortalObjectEntityResolver(org.xml.sax.EntityResolver portalObjectEntityResolver)`
`void` | `setPortletInstancesEntityResolver(org.xml.sax.EntityResolver portletInstancesEntityResolver)`

Methods inherited from class org.jboss.portal.portlet.deployment.jboss.PortletAppDeploymentFactory
`acceptFile, getConfig, getJBossPortletEntityResolver, getPortletAPIFactory, getPortletAPIFactoryClassName, getPortletInfoFactory, getPortletInfoFactoryClassName, getPortletSecurityService, getStandardJBossApplicationMetaData, getStandardJBossApplicationMetaDataLocation, getWebAppRegistry, loadStandardJBossApplicationMetaData, setConfig, setJBossPortletEntityResolver, setPortletAPIFactoryClassName, setPortletInfoFactoryClassName, setPortletSecurityService, setStandardJBossApplicationMetaDataLocation, setWebAppRegistry, start, stop`

Methods inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`acceptDir, create, destroy, getDeployer, getName, getSetupLocation, getSetupURL, isRegistrationControlledByService, registerFactory, setDeployer, setRegistrationControlledByService, setSetupLocation, unregisterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceContainer

    protected InstanceContainer instanceContainer

  .

### createInstances

    protected boolean createInstances

  .

### portletInstancesEntityResolver

    protected org.xml.sax.EntityResolver portletInstancesEntityResolver

  .

### portalObjectEntityResolver

    protected org.xml.sax.EntityResolver portalObjectEntityResolver

  .

Constructor Detail

### PortletAppDeploymentFactory

    public PortletAppDeploymentFactory()

Method Detail

### newInstance

    public Deployment newInstance(java.net.URL url,
                                  PortalWebApp pwa,
                                  javax.management.MBeanServer mbeanServer)
                           throws org.jboss.deployment.DeploymentException

  Description copied from interface: `DeploymentFactory`
  Create a new instance of the deployment.

  Specified by:
    `newInstance` in interface `DeploymentFactory`
  Overrides:
    `newInstance` in class `PortletAppDeploymentFactory`
  Parameters:
    `url` - the URL of the file to deploy
    `pwa` - the web application that contains the file to deploy or null if it does not exist
    `mbeanServer` - the JMX mbean server
  Returns:
    a deployment ready to be processed
  Throws:
    `org.jboss.deployment.DeploymentException` - if the deployment cannot be created

### getPortalObjectEntityResolver

    public org.xml.sax.EntityResolver getPortalObjectEntityResolver()

### setPortalObjectEntityResolver

    public void setPortalObjectEntityResolver(org.xml.sax.EntityResolver portalObjectEntityResolver)

### getPortletInstancesEntityResolver

    public org.xml.sax.EntityResolver getPortletInstancesEntityResolver()

### setPortletInstancesEntityResolver

    public void setPortletInstancesEntityResolver(org.xml.sax.EntityResolver portletInstancesEntityResolver)

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### createJBossApplicationMetaDataFactory

    public JBossApplicationMetaDataFactory createJBossApplicationMetaDataFactory()

  Return a subclass that does more.

  Overrides:
    `createJBossApplicationMetaDataFactory` in class `PortletAppDeploymentFactory`

### enableCreateInstances

    public void enableCreateInstances()

### disableCreateInstances

    public void disableCreateInstances()

### getCreateInstances

    public boolean getCreateInstances()

### setCreateInstances

    public void setCreateInstances(boolean createInstances)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD